commit 812d9a10d9a082753db9ba123ad8050003e12fee
Author: freddy77 <freddy77>
Date:   Mon Mar 16 07:49:57 2009 +0000

    roll back to avoid possible core in OpenSSL code

diff --git a/ChangeLog b/ChangeLog
index d47e6ae..faac559 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Mar 16 08:49:25 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c: roll back to avoid possible core in OpenSSL code
+
 Wed Mar 11 10:07:02 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/bcp.c: avoid memory corruption on out of memory
 
@@ -1398,4 +1401,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2748 2009/03/11 09:07:33 freddy77 Exp $
+$Id: ChangeLog,v 1.2749 2009/03/16 07:49:57 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index 0ddd85e..fcc44d9 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.89 2009/03/16 03:16:39 jklowden Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.90 2009/03/16 07:49:57 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -1319,7 +1319,7 @@ tds_push_func(gnutls_transport_ptr ptr, const void* data, size_t len)
 	TDSSOCKET *tds = (TDSSOCKET *) ptr;
 #else
 static int
-tds_ssl_write(BIO *b, const char* data, size_t len)
+tds_ssl_write(BIO *b, const char* data, int len)
 {
 	TDSSOCKET *tds = (TDSSOCKET *) b->ptr;
 #endif

